Package com.sun.speech.engine.synthesis

# Class SynthesizerSelector

java.lang.Object
com.sun.speech.engine.synthesis.SynthesizerSelector

public class SynthesizerSelector extends Object
GUI that displays a list of `Synthesizer` names in a dialog box. When the user makes a selection, the selected `SynthesizerModeDesc` is returned to the caller.

## Constructor Summary

Constructors
Constructor
Description
`SynthesizerSelector()`

## Method Summary

Modifier and Type
Method
Description
`static SynthesizerModeDesc`
`getSynthesizerModeDesc(Component component, String appName)`
Asks `Central` for a list of available synthesizers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthesizerSelector

public SynthesizerSelector()

## Method Details

### getSynthesizerModeDesc

public static SynthesizerModeDesc getSynthesizerModeDesc(Component component, String appName)
Asks `Central` for a list of available synthesizers. If there are none, returns `null`. If there is only one, returns it. Otherwise, pops up an input dialog that gives the user a choice.

Parameters:
  `component` - the component for JOptionPane.showInputDialog
  `appName` - the title for the input dialog
Returns:
  a `SynthesizerModeDesc` representing the synthesizer to use.